CppCMS

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
cppcms::session_api_factory Class Referenceabstract

the factory object that generates custom implemented session_api objects More...

`#include <cppcms/session_api.h>`

## Public Member Functions
virtual bool | requires_gc ()=0
virtual void | gc ()=0
virtual booster::shared_ptr< session_api > | get ()=0
virtual | ~session_api_factory ()

## Detailed Description

the factory object that generates custom implemented session_api objects

## Constructor & Destructor Documentation

virtual cppcms::session_api_factory::~session_api_factory | ( |  | ) |
| inline virtual

Destructor and cleanup function

## Member Function Documentation

virtual void cppcms::session_api_factory::gc | ( |  | ) |
| pure virtual

The actual garbage collection job (may do nothing).

virtual booster::shared_ptr<session_api> cppcms::session_api_factory::get | ( |  | ) |
| pure virtual

Return a pointer to the session_api object. Note it may be shared between multiple requests or may be created each time per request

virtual bool cppcms::session_api_factory::requires_gc | ( |  | ) |
| pure virtual

Return true if this session API requires Garbage collection: i.e. execution of special function time to time to clear expired sessions from the memory

The documentation for this class was generated from the following file:

- cppcms/session_api.h